Switch Ports
List Switch Ports
GET /switch/{switch_id}/port
List of Network Switch Ports
Response 200: List of Network Switch Ports
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_switch_primary |
boolean | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.server |
object | |
speed |
object | |
speed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
speed.name |
string | |
usage |
boolean |
Create Switch Port
POST /switch/{switch_id}/port
Add new Network Switch Port
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
is_switch_primary |
boolean | ||
name |
string | ||
owner |
object | ||
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
owner.server |
object | ||
speed |
object | ||
speed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
speed.name |
string | ||
usage |
boolean |
Response 200: A Network Switch Port
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_switch_primary |
boolean | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.server |
object | |
speed |
object | |
speed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
speed.name |
string | |
usage |
boolean |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
is_switch_primary |
boolean | ||
name |
string | ||
owner |
object | ||
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
owner.server |
object | ||
speed |
object | ||
speed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
speed.name |
string | ||
usage |
boolean |
Response 422: Unprocessable Entity
View Switch Port
GET /switch/{switch_id}/port/{port_id}
A Network Switch Port
Response 200: A Network Switch Port
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_switch_primary |
boolean | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.server |
object | |
speed |
object | |
speed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
speed.name |
string | |
usage |
boolean |
Edit Switch Port
PATCH /switch/{switch_id}/port/{port_id}
Edit Network Switch Port
Request body
| Field | Type | Required | Description |
|---|---|---|---|
is_switch_primary |
boolean |
Response 200: A Network Switch Port
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_switch_primary |
boolean | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.server |
object | |
speed |
object | |
speed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
speed.name |
string | |
usage |
boolean |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
is_switch_primary |
boolean |
Response 422: Unprocessable Entity
View Switch Port Bandwidth
GET /switch/{switch_id}/port/{port_id}/bandwidth
A Network Switch Port’s Bandwidth
Response 200: A Network Switch Port’s Bandwidth
| Field | Type | Description |
|---|---|---|
data |
array | |
from_time |
integer | |
max_time |
integer | |
min_time |
integer | |
stats |
array | |
stats[].avg |
integer | |
stats[].max |
integer | |
stats[].min |
integer | |
stats[].nf |
integer | |
stats[].sum |
integer | |
status |
integer | |
to_time |
integer |
List Switch Port Bandwidth Usage
GET /switch/{switch_id}/port/{port_id}/bandwidth/usage
A list of Switch Port Bandwidth Usages.
Response 200: A list of Switch Port Bandwidth Usages
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Create Switch Port Bandwidth Usage
POST /switch/{switch_id}/port/{port_id}/bandwidth/usage
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | yes | Max Bandwidth in bits |
used |
integer | yes | Bandwidth used in bits |
Response 200: A Switch Port
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Delete Switch Port Bandwidth Usage
DELETE /switch/{switch_id}/port/{port_id}/bandwidth/usage/{usage_id}
Response 200: Switch Port Bandwidth Usage Deleted Successfully
Response 404: Item not Found
Get Switch Port Bandwidth Usage
GET /switch/{switch_id}/port/{port_id}/bandwidth/usage/{usage_id}
A Switch Port Bandwidth Usage
Response 200: A Switch Port Bandwidth Usage
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Edit Switch Port Bandwidth Usage
PATCH /switch/{switch_id}/port/{port_id}/bandwidth/usage/{usage_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | yes | Max Bandwidth in bits |
used |
integer | yes | Bandwidth used in bits |
Response 200: A Switch Port Bandwidth Usage
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | yes | Max Bandwidth in bits |
used |
integer | yes | Bandwidth used in bits |
Response 422: Unprocessable Entity